# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential
import os
import pickle
import pprint
import sys
import traceback
from vmware.nsx.sha import sha_pb2

if __name__ == '__main__':
    if len(sys.argv) != 2:
        print("Usage: {} <dump_file>".format(sys.argv[0]))
        os._exit(0)
    try:
        with open(sys.argv[1], 'rb') as outfile:
            data_base = pickle.load(outfile)
        print("Load file {} :\n".format(sys.argv[1]))
        pprint.pprint(data_base)

        if data_base.get('nsx.daemon.daemon-health', None):
            print("\nnsx.daemon.daemon-health:")
            print("{}".format(data_base['nsx.daemon.daemon-health']['value']))

    except Exception as e:
        print(e)
        traceback.print_exc()
    finally:
        os._exit(0)

