# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

def report_vdr_stats(vdr_stats, profile):
    if not vdr_stats:
        logger.info('No nsx.vdr.vdr-stats metric: {}'.format(data_store['metrics']))
        return

    timestamp = vdr_stats['timestamp']
    vdr_stats_data = vdr_stats['value']
    vdr_stats_list = vdr_stats_data[0]
    vdr_tables = vdr_stats_data[1]
    vdr_policies = vdr_stats_data[2]
    vdr_policy_ref_list = vdr_stats_data[3]
    wavefront_source = vdr_stats_data[4]
    if vdr_stats_list:
        for vdr in vdr_stats_list:
            Exportdata(data = {"vdr": vdr}, exports = ['wavefront'],\
                       source = wavefront_source, timestamp = timestamp)
    if vdr_tables:
        Exportdata(data = {"vdr.policy.table": vdr_tables}, exports = ['wavefront'], \
                   source = wavefront_source, timestamp = timestamp)
    if vdr_policies:
        Exportdata(data = {"vdr.policy": vdr_policies}, exports = ['wavefront'], \
                   source = wavefront_source, timestamp = timestamp)
    if vdr_policy_ref_list:
        for vdr_policy_ref in vdr_policy_ref_list:
            Exportdata(data = {"vdr.policy": vdr_policy_ref}, exports = ['wavefront'], \
                       source = wavefront_source, timestamp = timestamp)


profile = data_store['profile']
vdr_stats = data_store['metrics']['nsx.vdr.vdr-stats']

report_vdr_stats(vdr_stats, profile)
