# Copyright 2013 - 2018  VMware, Inc.  All rights reserved.
# Hey Emacs, -*- mode: Python; coding: utf-8 -*-
# **********************************************************
#

import re

# xml elements in /etc/vmware/snmp/snmp.xml
HEADER1 = 'config'
HEADER2 = 'snmpSettings'
ENABLE = 'enable'
PORT = 'port'
COMMUNITIES = 'communities'
TARGETS = 'targets'
FILTER = 'EventFilter'
LOG_LEVEL = 'loglevel'
ENGINE_ID = 'engineid'
AUTH_PROTO = 'authProtocol'
PRIV_PROTO = 'privProtocol'
REMOTE_USERS = 'RemoteUsers'
USERS = 'v3users'
V3TARGETS = 'v3targets'
V2C = 'v2c'
SYSCONTACT = 'syscontact'
SYSLOCATION = 'syslocation'

SEP = ';'

# Agent configuration limits
# For ESXi see bora/lib/vmkctl/system/SnmpAgentConfigImpl.cpp
MAX_COMMUNITIES = 10
MAX_COMMUNITY_LEN = 64
MAX_TRAP_TARGETS = 6
MAX_FILTERS = 150
SR_DEFAULT_MAX_MSG_SIZE = 2048

v1trp_re = re.compile(r'(?P<host>[\d\w][\w\d\.:-]*)(@(?P<port>\d+)){0,1}[\s/](?P<comm>[\x21-\x7e]+)')
v3target_re = re.compile(r'(?P<ip>[\d\w][\w\d\.:-]+)(@(?P<port>\w+))?[\s/](?P<user>\w+)[\s/](?P<lvl>\w+)[\s/](?P<type>\w+)')
